import { Context } from "https://deno.land/x/hono@v4.3.10/mod.ts";
import { BlankInput } from "https://deno.land/x/hono@v4.3.10/types.ts";
import { FeurEnv } from "../main.ts";
import { set_user } from "../lib/auth.ts";

export function logout_route(context: Context<FeurEnv, string, BlankInput>) {
	set_user(context, null);
	return context.redirect("/");
}
